var path = require('path');
var fs = require('fs');

module.exports = function rollupPluginImportAlias(options) {
	if (typeof options !== 'object') {
		return {};
	}
	return {
		resolveId: function (importee, importer) {
			var extCount = options.extensions.length;
			for (var key in options.paths) {
				if (importee.substring(0, key.length) === key) {
					var directory = importee.replace(key, options.paths[key]);
					var ext, absolute;
					if (fs.existsSync(directory)) {
						return path.normalize(directory);
					} else {
						ext = '/index.js'
						if (fs.existsSync(directory + ext)) {
							return path.normalize(directory + ext);
						} else {
							for (var i = 0; i < extCount; i++) {
								ext = options.extensions[i]
								if (fs.existsSync(directory + ext)) {
									return path.normalize(directory + ext);
								}
							}
						}
					}
				}
			}
		}
	}
}
